Metadata-Version: 2.1
Name: feature-cost-adaptor-anycost-iapi
Version: 1.4.0
Summary: IAPI Interface Files
Home-page: https://github.com/Cloudzero/feature-cost-adaptor-anycost
Author: CloudZero
Author-email: support@cloudzero.com
License: UNLICENSED
Classifier: Development Status :: 4 - Beta
Classifier: Intended Audience :: Developers
Classifier: Natural Language :: English
Classifier: Programming Language :: Python
Classifier: Programming Language :: Python :: 3
Classifier: Programming Language :: Python :: 3.13
Description-Content-Type: text/markdown
Requires-Dist: cz-common-python >=4.3.0

# AnyCost Cost Adaptor IAPI

This package contains the interface for the AnyCost Cost Adaptor IAPI. 

## Installing and Use
Add `feature_cost_adaptor_anycost_iapi` to your requirements file or run `pip install feature_cost_adaptor_anycost_iapi`. To use, add `from feature_cost_adaptor_anycost_iapi import cost_adaptor_anycost_client`.

## Commands

### update-connection-credentials
#### Arguments 
- `connection_id`: `str`
- `credentials`: `dict` (shape is dependent on the cloud provider)

#### Usage 
```
cost_adaptor_anycost_client.update_connection_credentials(
    organization_id='f97d3169-bd7a-4070-814c-ac7f629c0979',
    connection_id='af054e22-4e11-430e-923a-b3d8166e987b',
    credentials={
        'api_key': '1234567890',
        'app_key': '0987654321'
    }
```

